package com.goldenwater.hzz.mapper;

import com.goldenwater.hzz.domain.*;
import org.apache.ibatis.annotations.Param;
import java.util.List;

public interface RiverProjectMapper {
    List<RiverProjectDTO> getShxmAll(@Param("searchName") String sn);
    List<RiverProjectDTO> getShxmList(@Param("sProjectName") String pn, @Param("sPBuildStage") String bs);
    RiverProjectDTO getShxmById(@Param("guid") String guid);
    int saveShxm(RiverProjectDTO dto);
    int editShxm(RiverProjectDTO dto);
    int deleteShxm(@Param("guid") String guid);
    List<RiverProjectDTO> getFilesById(@Param("guid") String guid);
    int saveShxmFiles(@Param("list") List<RiverProjectDTO> files);
    int deleteShxmFile(@Param("guid") String guid);
    List<RiverConstructionDTO> selectConstructionList(RiverConstructionDTO dto);
    int insertConstruction(RiverConstructionDTO dto);
    int updateConstruction(RiverConstructionDTO dto);
    int deleteConstruction(@Param("guids") List<String> guids);
}
